
QGIS Application - Bug report #5256

QGIS polygon Centroid (NewLabeling bug etc)

2012-03-29 04:01 AM - Serge Dikiy

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14990

Description

In QGIS Core I find code looks like this:

http://pastebin.com/qRcAa9GC

I think it code must be

http://pastebin.com/kFzgB0Mn

Same issue I open for OpenLayers

https://github.com/openlayers/openlayers/pull/361

Related issues:

Related to QGIS Application - Bug report # 4634: [PATCH] New labelling engine... Closed 2011-12-12

History

#1 - 2012-03-29 07:12 AM - Serge Dikiy

- File patch_for_master.txt added

#2 - 2012-03-29 07:15 AM - Alexander Bruy

See also #4634

#3 - 2012-03-29 07:20 AM - Serge Dikiy

I think the patch should work, but I have no way to verify this.

Does anyone can help with verification?

#4 - 2012-03-29 07:21 AM - Jürgen Fischer

- Subject changed from QGIS poligon Centroid (NewLabeling dug etc) to QGIS polygon Centroid (NewLabeling dug etc)

#5 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#6 - 2012-04-16 04:48 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- OS version deleted (all)

- Operating System deleted (all)

- Status changed from Open to Feedback

- Subject changed from QGIS polygon Centroid (NewLabeling dug etc) to QGIS polygon Centroid (NewLabeling bug etc)
Can you please detail/describe better the issue and the proposed solution?

#7 - 2012-04-16 05:36 AM - Giovanni Manghi

see also #4634

#8 - 2012-04-16 08:18 AM - Serge Dikiy

Giovanni Manghi wrote:

Can you please detail/describe better the issue and the proposed solution?

to understand the solution, please read this:

http://docs.oracle.com/cd/E19957-01/806-3568/ncg_goldberg.html

OK?

#9 - 2012-04-16 08:19 AM - Giovanni Manghi

Serge Dikiy wrote:

Giovanni Manghi wrote:

Can you please detail/describe better the issue and the proposed solution?

to understand the solution, please read this:

http://docs.oracle.com/cd/E19957-01/806-3568/ncg_goldberg.html

OK?

for me is ok :) I just asked to let people understand better what part of qgis is affected.

#10 - 2012-04-16 11:26 AM - Serge Dikiy

Giovanni Manghi wrote:

Serge Dikiy wrote:

Giovanni Manghi wrote:

Can you please detail/describe better the issue and the proposed solution?

to understand the solution, please read this:

http://docs.oracle.com/cd/E19957-01/806-3568/ncg_goldberg.html

OK?

for me is ok :) I just asked to let people understand better what part of qgis is 

affected.
wise will understand :-)

#11 - 2012-04-17 05:05 AM - Giovanni Manghi

wise will understand :-)

it wasn't my intention to be "boring", the title and description are just not very explicit. By the way, thanks for the "RTFM" :)

#12 - 2012-06-10 06:20 AM - Serge Dikiy

http://en.wikipedia.org/wiki/User:Sdikiy/sandbox/PoligonCentroid

#13 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#14 - 2012-09-04 12:18 PM - Serge Dikiy

fixed by @dakcarto https://github.com/qgis/Quantum-GIS/pull/201#commitcomment-1797294

#15 - 2012-09-04 12:19 PM - Paolo Cavallini

- Status changed from Feedback to Closed

Files

patch_for_master.txt 1.57 KB 2012-03-29 Serge Dikiy
